aboutsummaryrefslogtreecommitdiffstats
path: root/platforms/xu4
diff options
context:
space:
mode:
authorJybz <j.biernacki@free.fr>2019-12-05 07:51:14 +0100
committerJybz <j.biernacki@free.fr>2019-12-05 07:51:14 +0100
commit6bd962556291bb122fab1024795c74b27fc1c470 (patch)
treeac1c0448797bb60af080b42aaa348d5d8463e81a /platforms/xu4
parent2a82e889e8fc50d72be705ded4a50292c02b38b0 (diff)
downloadmageia4arm-6bd962556291bb122fab1024795c74b27fc1c470.tar
mageia4arm-6bd962556291bb122fab1024795c74b27fc1c470.tar.gz
mageia4arm-6bd962556291bb122fab1024795c74b27fc1c470.tar.bz2
mageia4arm-6bd962556291bb122fab1024795c74b27fc1c470.tar.xz
mageia4arm-6bd962556291bb122fab1024795c74b27fc1c470.zip
sync
Diffstat (limited to 'platforms/xu4')
-rw-r--r--platforms/xu4/mageia4arm.cfg~52
-rw-r--r--platforms/xu4/second_stage_install.sh~34
-rwxr-xr-xplatforms/xu4/specialFunctions.sh86
3 files changed, 86 insertions, 86 deletions
diff --git a/platforms/xu4/mageia4arm.cfg~ b/platforms/xu4/mageia4arm.cfg~
deleted file mode 100644
index 178b1fa..0000000
--- a/platforms/xu4/mageia4arm.cfg~
+++ /dev/null
@@ -1,52 +0,0 @@
-
-# Copyright (C) 2017-2018 Daniel Tartavel-jeannot <contact@librepc.com>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <http://www.gnu.org/licenses/>.
-
-
-MAGEIA_VERSION="cauldron"
-ARM_VERSION="armv7hl"
-TARGET="xu4"
-
-# URL of the Mageia mirror used to install ( see mirrors.mageia.org )
-MIRROR="http://ftp.free.fr/mirrors/mageia.org/distrib/$MAGEIA_VERSION/$ARM_VERSION"
-
-# image will be created here
-INSTALL_PATH="/mnt/perso/xu4-test/"
-
-# Build directory will be created here
-BUILD_PATH="$INSTALL_PATH/build"
-
-#name of the image
-IMAGE="Mageia-${MAGEIA_VERSION}-$TARGET.img"
-
-#Mount point of image's partitions
-BOOT="/mnt/boot_xu4"
-ROOT="/mnt/root_xu4"
-
-#Default user
-ID_USER="odroid"
-PASSWORD="xu4"
-
-#root password
-ROOT_PWD="odroid"
-
-#Hostname
-HOSTNAME="xu4.odroid"
-
-#Filesystem of boot partitions (default ext4)
-BOOTFS=ext4
-
-#kernel package to install
-KERNEL=kernel-odroid
diff --git a/platforms/xu4/second_stage_install.sh~ b/platforms/xu4/second_stage_install.sh~
deleted file mode 100644
index e78de1c..0000000
--- a/platforms/xu4/second_stage_install.sh~
+++ /dev/null
@@ -1,34 +0,0 @@
-#!/bin/bash
-
-# Copyright (C) 2017-2018 Daniel Tartavel-jeannot <contact@librepc.com>
-#
-
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <http://www.gnu.org/licenses/>.
-
-/usr/bin/chown :shadow /etc/shadow /etc/gshadow /etc/login.defs /etc/pam.d/chage-chfn-chsh /etc/pam.d/chpasswd-newusers /etc/pam.d/system-auth /etc/pam.d/user-group-mod /bin/passwd /bin/chage
-
-/usr/bin/chown :systemd-journal -R /var/log/journal
-
-#Install all packages you need
-
-/usr/sbin/urpmi --auto --no-verify-rpm /root/kernel-odroid-4.14.y-1.armv7hl.rpm basesystem chrony rng-tools man openssh-server rfkill wireless-tools bluez wpa_supplicant make dracut u-boot-tools rsync
-#/usr/sbin/urpmi --urpmi-root "$BUILD_PATH" --ignorearch --no-verify-rpm --auto --split-level 200 --split-length 200
-
-/usr/bin/chown :chrony -R /etc/chrony.keys /var/log/chrony
-/usr/bin/chown :daemon /etc/wpa_supplicant.conf
-/usr/bin/chown :tty /bin/write /bin/wall
-/usr/bin/chown :lock /sbin/lockdev
-/usr/bin/chown :bin /sbin/traceroute
-/usr/bin/chown polkitd /etc/polkit-1/rules.d
-
diff --git a/platforms/xu4/specialFunctions.sh b/platforms/xu4/specialFunctions.sh
new file mode 100755
index 0000000..953be47
--- /dev/null
+++ b/platforms/xu4/specialFunctions.sh
@@ -0,0 +1,86 @@
+#!/bin/bash
+
+#RPI partitionning :
+DEFAULT=""
+NEW_PART=n
+PRIMARY=p
+CHANGE_TYPE=t
+CHANGE_BOOTFLAG=a
+APPLY=w
+
+PART_BOOT=1
+PART_BOOT_FIRST_SECTOR=${DEFAULT}
+PART_BOOT_SIZE="+128M"
+
+PART_ROOT=2
+PART_ROOT_FIRST_SECTOR=${DEFAULT}
+PART_ROOT_SIZE=${DEFAULT}
+
+TYPE_FAT32LBA=c
+
+FDISK_SCRIPT="${NEW_PART}\n${PRIMARY}\n${PART_BOOT}\n${PART_BOOT_FIRST_SECTOR}\n${PART_BOOT_SIZE}\n${CHANGE_TYPE}\n${TYPE_FAT32LBA}\n${NEW_PART}\n${PRIMARY}\n${PART_ROOT}\n${PART_ROOT_FIRST_SECTOR}\n${PART_ROOT_SIZE}\n${CHANGE_BOOTFLAG}\n${PART_BOOT}\n${CHANGE_BOOTFLAG}\n${PART_ROOT}\n${APPLY}\n"
+
+
+function preImgCreation()
+{
+ title "Creating Odroid XU3-XU4 image"
+ return 0
+}
+
+
+function postPrepareChroot()
+{
+ #TEMPORARY CODE
+ #copying kernel odroid not existing in mageia repos
+ info "copying kernel-odroid and u-boot rpms in ${BUILD_PATH}/root"
+ #echo "/bin/cp ${CONFIG_PATH}/kernel-odroid-4.14.y-1.armv7hl.rpm ${BUILD_PATH}/root/"
+ /usr/bin/cp --preserve=mode "${CONFIG_PATH}/kernel-odroid-4.14.y-1.armv7hl.rpm" "${BUILD_PATH}/root/"
+ #echo "/bin/cp ${CONFIG_PATH}/u-boot-20180507-3.mga7.armv7hl.rpm ${BUILD_PATH}/root/"
+ /usr/bin/cp --preserve=mode "${CONFIG_PATH}/u-boot-20180507-3.mga7.armv7hl.rpm" "${BUILD_PATH}/root/"
+ if [ ${?} -ne 0 ]; then
+ error "line ${LINENO} error copying ${CONFIG_PATH}/kernel-odroid-4.14.y-1.armv7hl.rpm : exiting"
+ exit ${ERR_1}
+ fi
+ return 0
+}
+
+
+function bunrningBootloader()
+{
+ if [ ${TARGET} = "odroid" ]; then
+ info "installing blobs"
+ pushd "${CONFIG_PATH}/sd_fuse"
+ if [ ${?} -ne 0 ]; then
+ error "line ${LINENO} error directory ${CONFIG_PATH}/sd_fuse does not exists : exiting"
+ exit ${ERR_1}
+ else
+ ./sd_fusing.sh "${DEVICE}"
+ fi
+ pushd
+ fi
+ return 0
+}
+
+function copyingCustomSystem()
+{
+# ODROID_BOOT="${BUILD_PATH}/mnt/odroid_boot"
+# if ! [ -d "${ODROID_BOOT}" ]; then
+# rm -rf "${ODROID_BOOT}"
+# mkdir -p "${ODROID_BOOT}"
+# fi
+ case ${TARGET_VERSION} in
+ "xu4")
+ info "copying u-boot for ${TARGET} ${TARGET_VERSION}"
+ cp --preserve=mode "${BUILD_PATH}/usr/lib/u-boot/${TARGET}-${TARGET_VERSION}/u-boot.bin" "${ARM_BOOT}/"
+ ;;
+ esac
+ ### temporary code waiting inclusion of xu4 in Mageia kernel and u-boot
+
+ info "Copying extlinux.conf on ${ODROID_BOOT}"
+ cp --preserve=mode -R "${BUILD_PATH}/boot/extlinux" "${ODROID_BOOT}/"
+# info "copying Mageia image to root partition"
+# /bin/rsync -rlptogDH --exclude "${ODROID_BOOT}/" --exclude "qemu-arm-static*" "${BUILD_PATH}/" "${ROOT}/"
+# /bin/rsync -rlptogDH "${ODROID_BOOT}/" "${BOOT}/"
+ return 0
+}
+